﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GaugeMovement : MonoBehaviour
{
    public TargetSpawner targetSpawner;
    public AudioSource audio;
    public float speed;

    public float gaugeLength = 61.0f;
    // Start is called before the first frame update
    public float target = 0;

    private float startX, startY, startZ;
    private void Awake()
    {
        startX = transform.position.x;
        startY = transform.position.y;
        startZ = transform.position.z;
    }

    public bool IsHit()
    {
        if (targetSpawner.HasBooger(transform.position.x, true))
        {
            return true;
        }
        else
        {
            return false;
        }
    }

    public void MoveGauge()
    {
        GetComponent<Animator>().enabled = true;
        audio.Play();
    }

    public void PauseGauge()
    {
        GetComponent<Animator>().enabled = false;
        audio.Stop();
    }
}
