﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ArmAnimator : MonoBehaviour
{
    public GameObject armObj;
    public GameObject armRotateObj;
    public AudioSource audio;

    private float startX, startY, startZ;
    public float movingGapX = 0.1f;

    public float movingTime = 100f;

    public GameObject face;

    private void Start()
    {
        startX = armObj.transform.position.x;
        startY = armObj.transform.position.y;
        startZ = armObj.transform.position.z;
        armObj.SetActive(false);
    }

    public void DoNothing()
    {
        //face.GetComponent<SpriteRenderer>().flipX = true;
        armObj.SetActive(false);
        armRotateObj.SetActive(false);
    }

    // Update is called once per frame
    public void MoveArm()
    {
        armObj.GetComponent<Animator>().enabled = true;
        //face.GetComponent<SpriteRenderer>().flipX = false;
        armObj.SetActive(true);
        armRotateObj.SetActive(false);
        //StartCoroutine(MovingArm(movingTime));
    }

    //IEnumerator MovingArm(float _movingTime)
    //{
    //    float t = 0f;

    //    while (t < _movingTime)
    //    {
    //        t += Time.deltaTime;
    //        //armObj.transform.position = new Vector3(startX + movingGapX - ( (t / _movingTime) * movingGapX), startY, startZ);
    //        yield return 0;
    //    }
    //    armObj.SetActive(false);
    //}

    // Update is called once per frame
    public void RotateArm()
    {
        armObj.SetActive(false);
        armRotateObj.SetActive(true);
        armRotateObj.GetComponent<Animator>().enabled = true;
        audio.Play();
        armObj.GetComponent<Animator>().enabled = false;
        //StartCoroutine(RotatingArm(0.4f));
    }

    //IEnumerator RotatingArm(float _movingTime)
    //{
    //    float t = 0f;

    //    while (t < _movingTime)
    //    {
    //        t += Time.deltaTime;
    //        armObj.transform.eulerAngles = new Vector3(0, 0, (t / _movingTime) * (-90f));
    //        yield return 0;
    //    }
    //    armObj.SetActive(false);
    //    armObj.transform.eulerAngles = new Vector3(0, 0, 0);
    //    DoNothing();
    //}
}
