﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TimeManager : MonoBehaviour
{

    
    public float SlowDownFactor = 0.05f;
    public float SlowDownLength = 2f;



    // Update is called once per frame
    void Update()
    {
        Time.timeScale += (1f / SlowDownLength) * Time.unscaledDeltaTime;
        Time.timeScale = Mathf.Clamp(Time.timeScale, 0f, 1f);
    }

    
    //slowing down the game to zoom in to obj
    public void DoSlowMo () 
    {
        
        Time.timeScale = SlowDownFactor;
        Time.fixedDeltaTime = Time.timeScale * .02f;
    }

}
